# Order Book Visualisation

[Preview on Bl.ocks.org](https://bl.ocks.org/schmidsi/e871a7c5372812f09978f2704bab10c4)

[Source on gist.github.com](https://gist.github.com/schmidsi/e871a7c5372812f09978f2704bab10c4)

[Node module on npmjs.com](https://www.npmjs.com/package/@melonproject/orderbook-visualisation)

# Usage
This Bl.ock is a hybrid between a node module and a d3 Bl.ock. It is a d3
Bl.ock to showcase its possibility but also a node module to be reused in your
other projects.

```$ npm install --save @melonproject/orderbook-visualisation```

To reuse it, the syntax is simple:
```javascript
import d3 from 'd3';
import drawOrderbook from '@melonproject/orderbook-visualisation';

const svg = d3.select('svg.js-charts');

// ... load data somehow --> data

drawOrderbook(data, svg, d3);
```

Note: You need to pass d3 as reference (dependency injection) if it is not
in the window scope.
